using Prism.Ioc;
using PhotoRenamer.Views;
using System.Windows;
using PhotoRenamer.File;
using PhotoRenamer.Logging;
using Prism.Modularity;

namespace PhotoRenamer
{
    /// <summary>
    /// Interaction logic for App.xaml
    /// </summary>
    public partial class App
    {
        protected override Window CreateShell()
        {
            return Container.Resolve<MainWindow>();
        }

        protected override void RegisterTypes(IContainerRegistry containerRegistry)
        {
            
        }

        protected override void ConfigureModuleCatalog(IModuleCatalog moduleCatalog)
        {
            moduleCatalog.AddModule<FileModule>();
            moduleCatalog.AddModule<LoggingModule>();
            base.ConfigureModuleCatalog(moduleCatalog);
        }
    }
}
